DatabaseMetaDataTypeInfoTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class DatabaseMetaDataTypeInfoTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.MetaDataTestCase
        - - net.sourceforge.jtds.jdbc.DatabaseMetaDataTypeInfoTest

-     public class DatabaseMetaDataTypeInfoTest
      extends MetaDataTestCase

  Tests for DatabaseMetaData.getTypeInfo().
  Version:
    $Id: DatabaseMetaDataTypeInfoTest.java,v 1.1 2005-01-05 12:24:14 alin_sinpalean Exp $
  Author:
    David Eaves

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.ResultSet` | `typeInfoRs`

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaDataTypeInfoTest(java.lang.String testName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkOrder(java.util.List typeNames, java.lang.String firstTypeName, java.lang.String secondTypeName)`
    `private java.util.List` | `getTypeNamesInOrder()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testColumnNames()`
    `void` | `testNvarcharNormalized()`
    `void` | `testOrderedByDatatype()` Check types ordered by data type.
    `void` | `testOrderedByTypeMapping()` Check that types with the same JDBC data type are ordered by closest match to the standard JDBC type.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.MetaDataTestCase

      `checkColumnNames`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeInfoRs

          private java.sql.ResultSet typeInfoRs

  - ### Constructor Detail

    - #### DatabaseMetaDataTypeInfoTest

          public DatabaseMetaDataTypeInfoTest(java.lang.String testName)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Overrides:
        `setUp` in class `TestBase`
      Throws:
        `java.lang.Exception`

    - #### tearDown

          public void tearDown()
                        throws java.lang.Exception

      Overrides:
        `tearDown` in class `TestBase`
      Throws:
        `java.lang.Exception`

    - #### testOrderedByDatatype

          public void testOrderedByDatatype()
                                     throws java.lang.Exception

      Check types ordered by data type.
      Throws:
        `java.lang.Exception`

    - #### testOrderedByTypeMapping

          public void testOrderedByTypeMapping()
                                        throws java.lang.Exception

      Check that types with the same JDBC data type are ordered by closest match to the standard JDBC type.
      Throws:
        `java.lang.Exception`

    - #### testColumnNames

          public void testColumnNames()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNvarcharNormalized

          public void testNvarcharNormalized()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkOrder

          private void checkOrder(java.util.List typeNames,
                        java.lang.String firstTypeName,
                        java.lang.String secondTypeName)

    - #### getTypeNamesInOrder

          private java.util.List getTypeNamesInOrder()
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Generated on June 8 2013